<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="text-block--info-bar">
  <span class="text-block--info-bar--user-info" *ngIf="appTextBlockModel?.user != null">
          {{appTextBlockModel?.user}}
  {{appTextBlockModel?.firstName != null || appTextBlockModel?.lastName != null ?
  "(" + appTextBlockModel.firstName + " " + appTextBlockModel.lastName + ")" :
  ""}}
  </span>
  <span *ngIf="appTextBlockModel?.user == null"
      class="text-block--info-bar--user-info">
          {{'history.unknownUser' | translate}}
  </span>
  <span class="text-block--info-bar--user-info">
          {{(appTextBlockModel?.timestamp | appMomentPipe)?.format(timeFormat)}}
  </span>
  <span class="text-block--info-bar--version">
          {{'history.version' | translate}} {{appTextBlockModel?.version}}
  </span>
</div>

